xserver: Branch 'master'

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Wed Mar 22 13:42:16 UTC 2023


 test/scripts/xwayland-piglit.sh |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

New commits:
commit fc625fe172d9f6a149a594b5214364bedf680239
Author: Olivier Fourdan <ofourdan at redhat.com>
Date:   Wed Mar 22 11:31:03 2023 +0100

    test: Use either wayland-info or weston-info
    
    weston-info has been deprecated for quite some time, whereas wayland-info
    may not be available yet.
    
    So we use either, depending on what's actually available.
    
    Signed-off-by: Olivier Fourdan <ofourdan at redhat.com>
    Reviewed-by: Michel Dänzer <mdaenzer at redhat.com>

diff --git a/test/scripts/xwayland-piglit.sh b/test/scripts/xwayland-piglit.sh
index 7c30ecbab..e746117e3 100755
--- a/test/scripts/xwayland-piglit.sh
+++ b/test/scripts/xwayland-piglit.sh
@@ -17,8 +17,13 @@ weston --no-config --backend=headless-backend.so --socket=wayland-$$ &
 WESTON_PID=$!
 export WAYLAND_DISPLAY=wayland-$$
 
+# We can use either wayland-info or weston-info (deprecated), depending
+# on what's actually available.
+WAYLAND_INFO=wayland-info
+command -V $WAYLAND_INFO >/dev/null 2>&1 || WAYLAND_INFO=weston-info
+
 # Wait for weston to initialize before starting Xwayland
-timeout --preserve-status 60s bash -c 'while ! weston-info &>/dev/null; do sleep 1; done'
+timeout --preserve-status 60s bash -c "while ! $WAYLAND_INFO &>/dev/null; do sleep 1; done"
 
 # Start an Xwayland server
 export PIGLIT_RESULTS_DIR=$XSERVER_BUILDDIR/test/piglit-results/xwayland


More information about the xorg-commit mailing list